Subject: bug#45198: 28.0.50; Sandbox mode

From: Mattias Engdegård <[email-masked]>
Date: Sun, 20 Dec 2020 15:12:01 +0100

20 dec. 2020 kl. 15.02 skrev Stefan Monnier <[email-masked]>:
> 
>> It was suggested that no init files be loaded to make the Emacs subprocess
>> start faster. (I'm neutral here.)
> 
> I still have no idea what this has to do with autoloads.

If Emacs does not read the user's init file in the checking process, then autoloads for external packages are not defined and the byte-compiler will complain when encountering calls to functions defined in external packages not explicitly required. Other people seem to believe it's not a big deal; I'm unsure.